#ifndef UHISTORY_H
#define UHISTORY_H

#include <QDialog>

#include "history.h"

namespace Ui {
class CUIHistory;
}

class CUIHistory : public QDialog
{
    Q_OBJECT

public:
    explicit CUIHistory(QWidget* parent, CHistory* his);
    ~CUIHistory();

private:
    void showEvent(QShowEvent* event);
    void select_ok();
    void del_item();
    void double_click(const QModelIndex& index);

public:
    QString cur_{};

private:
    Ui::CUIHistory* ui;
    CHistory* his_{};
};

#endif   // UHISTORY_H
