#ifndef HISTORY_H
#define HISTORY_H

#include <string>
#include <vector>

// 只保留最近的10条数据
class CHistory
{
public:
    CHistory();

public:
    bool push(const std::string& content);
    bool get_history(std::vector<std::string>& vec);
    bool read_file(std::vector<std::string>& vec);
    bool write_file(std::vector<std::string>& vec);

private:
    void default_set();

private:
    std::string work_dir_{};
    std::string work_file_{};
};

#endif   // HISTORY_H
